
From: Andrey Borzenkov <arvidjaar@mail.ru>

DAC960.c does it incorrectly (at least in 2.6.0-test4). It will create 
_directory_ /dev/rd/cNdM making it impossible to create compat block device 
entry with the same name.

The right thing it to create separate directory for each controller/target as 
in attached trivial patch (untested due to lack of hardware). You will need 
devfsd support for this but then you will need it for cciss or cpqarray as 
well and possibly for others. Which returns us to the problem of devfsd 
maintenance ...



 drivers/block/DAC960.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/DAC960.c~dac960-devfs_name-fix drivers/block/DAC960.c
--- 25/drivers/block/DAC960.c~dac960-devfs_name-fix	2003-09-04 01:50:07.000000000 -0700
+++ 25-akpm/drivers/block/DAC960.c	2003-09-04 01:50:07.000000000 -0700
@@ -2486,7 +2486,7 @@ static boolean DAC960_RegisterBlockDevic
 
 	disk->queue = RequestQueue;
 	sprintf(disk->disk_name, "rd/c%dd%d", Controller->ControllerNumber, n);
-	sprintf(disk->devfs_name, "rd/c%dd%d", Controller->ControllerNumber, n);
+	sprintf(disk->devfs_name, "rd/host%d/target%d", Controller->ControllerNumber, n);
 	disk->major = MajorNumber;
 	disk->first_minor = n << DAC960_MaxPartitionsBits;
 	disk->fops = &DAC960_BlockDeviceOperations;

_
